Bug 136955 - Krdc cannot connect to rdp server because of rdesktop version
Krdc cannot connect to rdp server because of rdesktop version
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
http://www.fedoraforum.org/forum/show...
:
: 147863 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-23 18:48 EDT by superbnerd
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-22 07:14:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description superbnerd 2004-10-23 18:48:52 EDT
Description of problem:
Krdc cannot connect to rdp server because of rdesktop version

Version-Release number of selected component (if applicable):
krdc --version
Qt: 3.3.3
KDE: 3.3.0-5 Red Hat
Remote Desktop Connection: 3.3.0
rdesktop-1.3.1-5

How reproducible:
Everytime

Steps to Reproduce:
1. Open Krdc
2. Attempt to connect to rdp client
3. Get error message and be disapointed
  
Actual results:
The version of rdesktop you are using (1.3.1) is too old:
rdesktop 1.3.2 or greater is required. A working patch for rdesktop
1.3.1 can be found in KDE CVS.

Expected results:
Successful connection to rdesktop server

Additional info:
According to www.rdesktop.org, " The latest stable version of rdesktop
is 1.3.1."
Comment 1 Warren Togami 2004-10-23 19:04:42 EDT
than or clee, could you please look into this patch, and determine
suitability for Fedora/RHEL?
Comment 2 Ngo Than 2004-11-18 05:08:50 EST
it's already in rdesktop CVS. i have added the cvs patch in 1.3.1-6.

Mark, perhaps you should make fc3 update for this and build it in RHEL4.
Comment 3 Mark McLoughlin 2005-02-22 07:07:55 EST
*** Bug 147863 has been marked as a duplicate of this bug. ***
Comment 4 Mark McLoughlin 2005-02-22 07:11:19 EST
Brian: is this rawhide or FC3?

Than: has krdc been updated to not look for 1.3.2 since all it needs
is our 1.3.1-6 ?

(If the answers are "this is FC3" and "yes, krdc has been updated",
then this should be closed out as fixed in rawhide)
Comment 5 Ngo Than 2005-02-22 07:14:36 EST
it's already fixed in fc3.

Note You need to log in before you can comment on or make changes to this bug.